import esbuild from "esbuild";
import { sentryEsbuildPlugin } from "@sentry/esbuild-plugin";

const hasToken = typeof process.env.SENTRY_AUTH_TOKEN === "string";

esbuild.build({
  plugins: hasToken
    ? [
        sentryEsbuildPlugin({
          authToken: process.env.SENTRY_AUTH_TOKEN,
        }),
      ]
    : undefined,
  sourcemap: hasToken,
});
